#2016 closed defect (fixed)

SMC91111: ERC32 was never supported by driver

Reported by: Daniel Hellstrom Owned by: Eric Norum
Priority: normal Milestone: 4.11
Component: network/legacy Version: 4.10
Severity: minor Keywords:
Cc: joel.sherrill@…, gedare@… Blocked By:
Blocking:

Description

Moved the intelligence whether the driver is supported or not
completely to the BSP, now that bsp.h is included (even though it
is a driver... hmm). The ERC32 was never supported, so HAS_SMC91111
is not added to erc32/include/bsp.h.

Signed-off-by: Daniel Hellstrom <daniel@…>

---

c/src/lib/libbsp/sparc/leon2/include/bsp.h | 2 ++
c/src/lib/libbsp/sparc/leon3/include/bsp.h | 2 ++
c/src/libchip/network/smc91111.c | 4 ++--
3 files changed, 6 insertions(+), 2 deletions(-)

Attachments (2)

0006-SMC91111-ERC32-was-never-supported-by-driver.patch (2.1 KB) - added by Daniel Hellstrom on Feb 9, 2012 at 9:08:54 AM.
patch for HEAD
0001-SMC91111-ERC32-was-never-supported-by-driver.patch (2.0 KB) - added by Daniel Hellstrom on Feb 10, 2012 at 7:31:44 AM.
patch 2 for HEAD

Download all attachments as: .zip

Change History (6)

Changed on Feb 9, 2012 at 9:08:54 AM by Daniel Hellstrom

patch for HEAD

comment:1 Changed on Feb 9, 2012 at 4:56:13 PM by Gedare Bloom

Cc: Gedare Bloom added

comment:2 Changed on Feb 9, 2012 at 4:57:01 PM by Gedare Bloom

Cc: Joel Sherrill added

Changed on Feb 10, 2012 at 7:31:44 AM by Daniel Hellstrom

patch 2 for HEAD

comment:3 Changed on Feb 10, 2012 at 7:31:44 AM by Daniel Hellstrom

attachments.isobsolete: 01

comment:4 Changed on Mar 27, 2012 at 1:39:03 PM by Daniel Hellstrom

Resolution: fixed
Status: newclosed

Closing bug 2016, it has been applied by git commit 67b1ce4a69dd8fe406bb2db70cb76bc4c3eb2912

Note: See TracTickets for help on using tickets.